<?php
class ResponsiveGoogleMaps_MarkAdCoreClasses_FormFields
{
	/* Terms that need Localizing
	*  Clear
	*  Default
	*  Select Color
	*  Current Color
	*  Select File
	*  Remove
	*  Return to Library
	*  Insert Media
	*  Select Image
	*  Set Featured Image
	*/
	
	const LANG = 'markad-core-text-domain';
	static $localized = false;
	protected $lang = '';
	protected $enqueued = false;
	
	public function __construct(){
		if(is_admin()){
			add_action('plugins_loaded', array($this, 'localize_form_fields'));
		}
	}
	
	public function localize_form_fields(){
		load_plugin_textdomain(self::LANG, false, dirname(plugin_basename(__FILE__)) . '/languages' );
	}
	
	public function Load_lang($lang){
		$this->lang = $lang;
	}
	
	public function add_scripts_late(){
		// addes script if they haven't been included yet
		// does not allow for media upload
    	global $wp_scripts;
    	if(is_admin()) return;
 		
		$post_id = 0;
		global $post;
		if($post)
			$post_id = $post->ID;
		
		wp_enqueue_style('wp-color-picker');
		wp_enqueue_style('thickbox');
		wp_enqueue_script('iris', admin_url( 'js/iris.min.js' ),  array( 'jquery-ui-draggable', 'jquery-ui-slider', 'jquery-touch-punch', 'sortable' ), NULL, true );
		wp_enqueue_script('wp-color-picker', admin_url( 'js/color-picker.min.js' ), array('iris'), NULL, true);
		wp_enqueue_script('thickbox');
		
		if(file_exists(dirname(__FILE__).'/assets/options.min.js'))
			wp_enqueue_script('markad-core-options-js', plugins_url( '/assets/options.min.js?post_id='.$post_id , __FILE__ ), NULL, NULL, true);
		else
			wp_enqueue_script('markad-core-options-js', plugins_url( '/assets/options.js?post_id='.$post_id , __FILE__ ), NULL, NULL, true);
			
		if (!in_array('thickbox', $wp_scripts->done) && !in_array('thickbox', $wp_scripts->in_footer)) 
			$wp_scripts->in_footer[] = 'thickbox';
		if (!in_array('iris', $wp_scripts->done) && !in_array('iris', $wp_scripts->in_footer)) 
			$wp_scripts->in_footer[] = 'iris';
		if (!in_array('wp-color-picker', $wp_scripts->done) && !in_array('wp-color-picker', $wp_scripts->in_footer)){
			$wp_scripts->in_footer[] = 'wp-color-picker';
			wp_localize_script( 'wp-color-picker', 'wpColorPickerL10n', array(
				'clear' => __('Clear', self::LANG),
				'defaultString' => __('Default', self::LANG),
				'pick' => __('Select Color', self::LANG),
				'current' => __('Current Color', self::LANG)
			));
		}		
		if (!in_array('markad-core-options-js', $wp_scripts->done) && !in_array('markad-core-options-js', $wp_scripts->in_footer)){
			$wp_scripts->in_footer[] = 'markad-core-options-js';
			if(!self::$localized){
				wp_localize_script( 'markad-core-options-js', 'MAOptionL10', array(
					'return_to_library' => __('Return to Library', self::LANG),
					'insert_media' => __('Insert Media', self::LANG),
					'select_image' => __('Select Image', self::LANG),
					'set_featured_image' => __('Set Featured Image', self::LANG)
				));
				wp_localize_script('markad-core-options-js', 'markad_core', array('post_id' => $post_id));
				self::$localized = true;
			}
		}
	}

	public function add_scripts_and_styles(){
		$post_id = 0;
		global $post;
		if($post)
			$post_id = $post->ID;
		
		wp_enqueue_style('wp-color-picker');
		wp_enqueue_script('media-upload');
		wp_enqueue_media();
		if(file_exists(dirname(__FILE__).'/assets/options.min.js'))
			wp_enqueue_script('markad-core-options-js', plugins_url( '/assets/options.min.js?post_id='.$post_id , __FILE__ ), array( 'wp-color-picker' ), NULL, true);
		else
   			wp_enqueue_script('markad-core-options-js', plugins_url( '/assets/options.js?post_id='.$post_id , __FILE__ ), array( 'wp-color-picker' ), NULL, true);
		
		if(!self::$localized){
			wp_localize_script( 'markad-core-options-js', 'MAOptionL10', array(
				'return_to_library' => __('Return to Library', self::LANG),
				'insert_media' => __('Insert Media', self::LANG),
				'select_image' => __('Select Image', self::LANG),
				'set_featured_image' => __('Set Featured Image', self::LANG)
			));
			wp_localize_script('markad-core-options-js', 'markad_core', array('post_id' => $post_id));
			wp_localize_script( 'wp-color-picker', 'wpColorPickerL10n', array(
				'clear' => __('Clear', self::LANG),
				'defaultString' => __('Default', self::LANG),
				'pick' => __('Select Color', self::LANG),
				'current' => __('Current Color', self::LANG)
			));
			self::$localized = true;
		}
	}
	
	public function output_field($values)
	{
		echo $this->$values[0]['type']($values);
	}
	
	// Callback function for checkbox field
	public function checkbox($parameter)
	{
		$attr = '';
		$output = '';
		$checked = false;
		$index = 0;
		$field = $parameter[0];
		$meta_name = $parameter[1];
		$saved_values = $parameter[2];

		if(array_key_exists('fields',$field))
		{
			if(array_key_exists('use_label',$field))
			{
				if($field['use_label'])
				{
					$output .= '<label class="for-checkbox-group" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
				}
			}
			if(array_key_exists('attributes',$field))
				$attr = $this->get_attributes_from_array($field['attributes']);
			foreach($field['fields'] as $radio_button)
			{
				$checked = false;
				if(isset($saved_values[$radio_button['id']]))
				{
					if(array_key_exists('value',$radio_button) && $radio_button['value'] == $saved_values[$radio_button['id']])
						$checked = true;
				}
				else if(is_null($saved_values) && array_key_exists('default',$radio_button))
				{
					$checked = $radio_button['default'];
				}
				if(array_key_exists('attributes',$radio_button))
					$attr = $this->get_attributes_from_array($radio_button['attributes']);

				$output .= '<input type="checkbox" ' . $attr . 'id="' . $radio_button['id'] . '" ';
				if($checked) 
					$output .= 'checked="checked" ';
				$output .= 'name="' . $meta_name . '[' . $field['id'] . '][' . $radio_button['id'] . ']" value="' . $radio_button['value'] . '" />&nbsp;';
				
				if(array_key_exists('label',$radio_button))
					$output .= '<label class="for-checkbox" for="' . $radio_button['id'] . '">' . __($radio_button['label'], $this->lang) . '</label>';
				
				if(array_key_exists('inline',$field))
				{
					if($field['inline'] === true)
						$output .= '&nbsp; &nbsp;';
					else
						$output .= '<br />';
				}
				else
					$output .= '<br />';

				$index++;
			}
		}
		else
		{
			if(isset($saved_values))
				$checked = true;
			if(array_key_exists('attributes',$field))
				$attr = $this->get_attributes_from_array($field['attributes']);
			
			$output .= '<input type="checkbox" ' . $attr . 'id="' . $field['id'] . '" ';
			if($checked)
				$output .= 'checked="checked" ';
			$output .= 'name="' . $meta_name . '[' . $field['id'] . ']" value="true" />';
           
			if(array_key_exists('use_label',$field))
			{
				if($field['use_label'])
				{
					$output .= '<label class="for-checkbox" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
				}
			}
		}
		return $output;
	}
	
	// Callback function for text field
	public function text($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		$id = '_';
		$name = '';
		
		if(is_array($field['id'])){
			foreach($field['id'] as $id_part){
				$id .= $id_part . '_';
				$name .= $id_part . '][';
			}
			//$id = substr($id, 0, -1);
			$name = substr($name, 0, -2);
		} else {
			$id = $field['id'];
			$name = $field['id'];
		}
		
		if(isset($saved_values)){
			$value = $saved_values;
			if(is_array($value) && is_array($field['id']) && in_array($field['id'], $value)){
				$value = $value[$field['id']];
			}
		}
		else if(array_key_exists('value',$field))
			$value = $field['value'];
		
		if(array_key_exists('attributes',$field))
			$attr = $this->get_attributes_from_array($field['attributes']);
		if(array_key_exists('use_label',$field))
		{
			if($field['use_label'])
			{
				$output .= '<label class="for-text" for="' . $id . '">' . __($field['title'], $this->lang) . '</label>';
			}
		}
		if(array_key_exists('before_input', $field))
			$output .= $field['before_input'];
		
		$output .= '<input type="text" ' . $attr . 'id="' . $id . '" name="' . $meta_name . '[' . $name . ']" value="' . __($value, $this->lang) . '" />';
		
		if(array_key_exists('after_input', $field))
			$output .= $field['after_input'];
			
		if(array_key_exists('html_after',$field))
		{
			$output .= $field['html_after'];
		}
		return $output;
	}
	
	// Callback function for text field
	public function range($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$style = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		$display_value = false;
		if(array_key_exists('display_value',$field) && $field['display_value'] === true)
			$display_value = true;
		
		if(isset($saved_values))
			$value = $saved_values;
		else if(array_key_exists('value',$field))
			$value = $field['value'];
		if(array_key_exists('attributes',$field))
			$attr = $this->get_attributes_from_array($field['attributes']);
		if(array_key_exists('use_label',$field))
		{
			if($field['use_label'])
			{
				$output .= '<label class="for-text" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
			}
		}
		
		$output .= '<input type="range" ' . $attr . 'id="' . $field['id'] . '" data-display="' . (string)$display_value . '" name="' . $meta_name . '[' . $field['id'] . ']" value="' . $value . '" />';
		
		if($display_value)
		{
			if(array_key_exists('attributes',$field) && array_key_exists('style',$field['attributes']))
				$style = 'style="'.$field['attributes']['style'].'" ';
			$output .= '<br />';
			$output .= '<input type="text" readonly data-link="' . $field['id'] . '" ' . $style . 'value="' . $value . '" />';
		}		
		if(array_key_exists('html_after',$field))
		{
			$output .= $field['html_after'];
		}
		return $output;
	}
	
	// Callback function for hidden field
	public function hidden($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		
		//override saved values
		if(array_key_exists('override_saved_value', $field) && $field['override_saved_value'] === true)
			$value = $field['value'];
		else if(isset($saved_values))
			$value = $saved_values;
		else if(array_key_exists('value', $field))
			$value = $field['value'];
		else
			$value = false;
		if(array_key_exists('attributes',$field))
			$attr = $this->get_attributes_from_array($field['attributes']);
		$output .= '<input type="hidden" ' . $attr . 'id="' . $field['id'] . '" name="' . $meta_name . '[' . $field['id'] . ']" value="' . $value . '" />';
		return $output;
	}
	
	// Callback function for textarea field
	public function textarea($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		
		if(isset($saved_values))
			$value = $saved_values;
		if(array_key_exists('attributes',$field))
			$attr = $this->get_attributes_from_array($field['attributes']);
		
		$settings = array(
			'media_buttons' => true,
			'textarea_rows' => 4,
			'teeny' => false,
			'quicktags' => true,
			'textarea_name' => $meta_name.'['.$field['id'].']',
			'tinymce' => array(
				'body_class' => "white_bg",
				/*'theme' => "advanced",
				'theme_advanced_default_background_color' => "#FFFFFF",*/
				//'content_css' => plugins_url('css/admin-styles.css', __FILE__ ),
				'convert_fonts_to_spans' => false,
				'paste_remove_spans' => true,
				'invalid_elements' => "span",
				'force_p_newlines' => true
			)
		);	
		
		$output .= '<style type="text/css">.wp-editor-container {background-color:#ffffff;}</style>';
		$output .= '<label class="for-textarea" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
		$textarea_id = '';
		for ($i = 0; $i < 8; $i++) {
			$textarea_id .= chr(rand(ord('a'), ord('z')));
		}

		if(array_key_exists('use_basic',$field))
		{
			if($field['use_basic'])
			{
				$output .= '<textarea ' . $attr . 'id="' . $field['id'] . '" name="' . $meta_name . '[' . $field['id'] . ']">' . $value . '</textarea>';
			}
			else
			{
				ob_start();
				wp_editor( $value, $textarea_id,  $settings);
				$output .= ob_get_clean();
			}
		}
		else
		{
			ob_start();
			wp_editor( $value, $textarea_id,  $settings);
			$output .= ob_get_clean();
		}
		
		if(array_key_exists('html_after',$field))
		{
			$output .= $field['html_after'];
		}
		return $output;
	}
	
	// Callback function for radio field
	public function radio($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$index = 0;
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		
		if(array_key_exists('fields',$field))
		{
			if(array_key_exists('use_label',$field))
			{
				if($field['use_label'])
				{
					$output .= '<label class="for-radio-group" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
				}
			}
			if(array_key_exists('attributes',$field))
					$attr = $this->get_attributes_from_array($field['attributes']);
			foreach($field['fields'] as $radio_button)
			{
				$checked = false;
				if(isset($saved_values[$index]))
				{
					if($saved_values[$index] == $radio_button['value'])
						$checked = true;
					if(array_key_exists('attributes',$radio_button))
						$attr = $this->get_attributes_from_array($radio_button['attributes']);
				}
				else
				{
					if($radio_button['default'] === true)
						$checked = true;
				}

				$output .= '<input type="radio" ' . $attr . 'id="' . $field['id'].$radio_button['id'] . '" ';
				if($checked)
					$output .= 'checked="checked" ';
				$output .= 'name="' . $meta_name . '[' . $field['id'] . '][]" value="' . $radio_button['value'] . '" />&nbsp;';
				$output .= '<label class="for-radio" for="' . $field['id'].$radio_button['id'] . '">' . __($radio_button['label'], $this->lang) . '</label>';
				
				if(array_key_exists('inline',$field))
				{
					if($field['inline'] === true)
						$output .= '&nbsp; &nbsp;';
					else
						$output .= '<br />';
				}
				else
					$output .= '<br />';
			}
		}
		return $output;
	}
	
	// Callback function for select field
	public function select($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$select_attr = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		
		if(array_key_exists('attributes',$field))
			$select_attr = $this->get_attributes_from_array($field['attributes']);
		
		if(array_key_exists('fields',$field))
		{
			if(array_key_exists('use_label',$field))
			{
				if($field['use_label'])
				{
					$output .= '<label class="for-select" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
				}
			}

			$output .= '<select id="' . $field['id'] . '" ' . $select_attr . 'name="' . $meta_name . '[' . $field['id'] . '][]">';

			foreach($field['fields'] as $option_value)
			{
				$selected = false;
				if(isset($saved_values))
				{
					if(is_array($saved_values) && in_array($option_value['value'], $saved_values))
						$selected = true;
					if(array_key_exists('attributes',$option_value))
						$attr = $this->get_attributes_from_array($option_value['attributes']);
				}
				else if(!isset($saved_values[0]))
				{
					if($option_value['default'] === true)
						$selected = true;
				}
				if(array_key_exists('text',$option_value))
					$options_text = $option_value['text'];
				else
					$options_text = $option_value['value'];

				$output .= '<option ';
				if($selected)
					$output .= 'selected="selected" ';
				 $output .= ' ' . $attr . 'value="' . $option_value['value'] . '">' . __($options_text, $this->lang) . '</option>';

			}
			$output .= '</select>';
			
			if(array_key_exists('html_after',$field))
			{
				$output .= $field['html_after'];
			}
		}
		return $output;
	}
	
	// Callback function for color field
	public function color($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		if(isset($field['default']))
			$default = $field['default'];
		else
			$default = '';

		if(isset($saved_values))
			$value = $saved_values;
		else if($default)
		{
			$value = $default;
		}
		if(array_key_exists('attributes',$field))
		{
			if(array_key_exists('class',$field['attributes']))
				$field['attributes']['class'] .= ' options-color-field';
			else
				$field['attributes']['class'] = 'options-color-field';
		}
		else
			$field['attributes']['class'] = 'options-color-field';
			
		$attr = $this->get_attributes_from_array($field['attributes']);
		if(array_key_exists('use_label',$field))
		{
			if($field['use_label'])
			{
				$output .= '<label class="for-color" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
			}
		}
		$output .= '<input type="text" ' . $attr . 'id="' . $field['id'] . '" data-default="' . $default . '" name="' . $meta_name . '[' . $field['id'] . ']" value="' . __($value, $this->lang) . '" />';
		return $output;
	}
	
	// Callback function for upload field
	public function upload($parameter)
	{
		$output = '';
		if(!is_admin()) return;
		$value = '';
		$attr = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		
		if(isset($saved_values))
			$value = $saved_values;
		else if(array_key_exists('value',$field))
			$value = $field['value'];

		if(array_key_exists('attributes',$field))
			$attr = $this->get_attributes_from_array($field['attributes']);
		
		$output .= '<div>';
		
		if(array_key_exists('use_label',$field))
		{
			if($field['use_label'])
			{
				$output .= '<label class="for-upload" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
			}
		}
		
		$output .= '<input type="button" class="button upload_button" value="' . __('Select File', self::LANG) . '" />';
		$output .= '<input type="button" class="button remove_button" value="' . __('Remove', self::LANG) . '" />';
		$output .= '<input type="hidden" ' . $attr . 'id="' . $field['id'] . '" name="' . $meta_name . '[' . $field['id'] . ']" value="' . $value . '" />';
		$output .= '<div class="" style="width:100%; margin:10px; max-height:300px; display:none;">';
		$output .= '	<img class="upload_preview" src="' . $value . '" alt="" style="height:100%; width:auto; max-height:300px" />';
		$output .= '</div>';
		$output .= '</div>';
		
		return $output;
	}
	
	// Callback function for custom HTML
	public function custom($parameter)
	{
		$output = '';
		$value = '';
		$attr = '';
		$meta_name = $parameter[1];
		$field = $parameter[0];
		$saved_values = $parameter[2];
		
		if(array_key_exists('use_label',$field))
		{
			if($field['use_label'])
			{
				$output .= '<label class="for-upload" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
			}
		}
		
		if(array_key_exists('file',$field))
		{
			ob_start();
			include($field['file']);
			$output .= ob_get_clean();
		}
		else
		{
			if(array_key_exists('attributes',$field))
				$attr = $this->get_attributes_from_array($field['attributes']);
			
			$output .= '<div id="'.$field['id'].'"'.$attr.'>';
			$output .= $field['html'];
			$output .= '</div>';
		}
		
		return $output;
	}
	
	// Callback function for checkbox field
	public function linked_lists($parameter)
	{
		$attr = '';
		$output = '';
		$checked = false;
		$index = 0;
		$field = $parameter[0];
		$meta_name = $parameter[1];
		$saved_values = $parameter[2];
		
		$list1_html = '<div class="sortable-list-wrapper">';
		$list2_html = '<div class="sortable-list-wrapper">';
		
		if(array_key_exists('list-left-before',$field))
			$list1_html .= $field['list-left-before'];
		
		if(array_key_exists('list-right-before',$field))
			$list2_html .= $field['list-right-before'];
		
		$list1_html .= '<ul class="sortable-list sortable-linked-list sortable-linked-list-1">';
		$list2_html .= '<ul class="sortable-list sortable-linked-list sortable-linked-list-2" data-id="' . $field['id'] . '" data-name="' . $meta_name . '[' . $field['id'] . '][]">';

		if(array_key_exists('fields',$field))
		{
			if(array_key_exists('use_label',$field))
			{
				if($field['use_label'])
				{
					$output .= '<label class="for-linked-list-group" for="' . $field['id'] . '">' . __($field['title'], $this->lang) . '</label>';
				}
			}
			$output .= '<div class="linked-list-container">';
			
			if(array_key_exists('attributes',$field))
				$attr = $this->get_attributes_from_array($field['attributes']);
			
			if(is_array($saved_values)){
				foreach($saved_values as $list_value){
					$counter = 0;
					foreach($field['fields'] as $list_item){
						if($list_item['value'] == $list_value){
							if(array_key_exists('attributes',$list_item))
								$attr = $this->get_attributes_from_array($list_item['attributes']);
				
							$list2_html .= '<li '.$attr.' data-value="'.$list_item['value'].'">'.$list_item['label'].'</li>';
							$field['fields'][$counter] = NULL;
						}
						$counter++;
					}
				}
			}
			foreach($field['fields'] as $list_item)
			{
				if(is_array($list_item)){
					if(array_key_exists('attributes',$list_item))
						$attr = $this->get_attributes_from_array($list_item['attributes']);
							
					$list1_html .= '<li '.$attr.' data-value="'.$list_item['value'].'">'.$list_item['label'].'</li>';
				}
			}
			$list1_html .= '</ul>';
			$list2_html .= '</ul>';
			
			if(array_key_exists('list-left-after',$field))
				$list1_html .= $field['list-left-after'];
		
			if(array_key_exists('list-right-after',$field))
				$list2_html .= $field['list-right-after'];
			
			$list1_html .= '</div>';
			$list2_html .= '</div>';
		}
		$output .= $list1_html . $list2_html;
		return $output .= '</div>';
	}
	
	//helper function for formatting attributes
	private function get_attributes_from_array($attributes = array())
	{
		$attr_string = '';
		foreach($attributes as $key => $value)
		{
			$attr_string .= $key . '="' . $value . '" ';
		}
		return $attr_string;
	}
}
?>