jQuery(document).ready(function($){
	$('.meta-tabs li a:not(:first)').addClass('inactive');
	$('.meta-tab-content-container').hide();
	$('.meta-tab-content-container:first').show();
	$('.meta-tab-content').css('min-height', $('.meta-tab-content').height());
	$(document).on('click', '.meta-tabs li a', function(event){
		event.preventDefault();
		var t = $(this).attr('id');
		if($(this).hasClass('inactive')){
			$('.meta-tabs li a').addClass('inactive');           
			$(this).removeClass('inactive');
			$('.meta-tab-content-container').hide();
			$('#content-'+ t ).fadeIn('fast');
		}
	});

	$(document).on('change', 'input[type="range"]', function(){
		if($(this).attr('data-display') == '1'){
			var id = $(this).attr('id');
			$('input[data-link="'+id+'"]').val($(this).val());
		}
    }); 
	
	$('.options-color-field').each(function(){
		var default_color = '';
		if($(this).attr('data-default') != 'none')
			 default_color = $(this).attr('data-default') || '#ffffff';
		var color_options = {
			// you can declare a default color here,
			// or in the data-default-color attribute on the input
			defaultColor: default_color,
			// a callback to fire whenever the color changes to a valid color
			change: function(event, ui){},
			// a callback to fire when the input is emptied or an invalid color
			clear: function(){},
			// hide the color picker controls on load
			hide: true,
			// show a group of common colors beneath the square
			// or, supply an array of colors to customize further
			palettes: true
		};
		$(this).wpColorPicker(color_options);
	});
	
	var insert_upload_into;
	var insert_preview_into;

	$(document).on('click', '.remove_button', function(){
		$(this).siblings('input[type="hidden"]').val('');
		$(this).siblings('div').slideUp();
		$(this).siblings('div').children('img.upload_preview').attr('src', ''); 
       return false;  
    }); 
	
	// show small preview below input
	$('.upload_button').each(function(){
		if($(this).siblings('input[type="hidden"]').val()){
			$(this).siblings('div').children('img.upload_preview').attr('src', $(this).siblings('input[type="hidden"]').val()); 
			$(this).siblings('div').slideDown('fast');
		}
	});

	// Uploading files
	wp.media.view.MediaFrame.Select = wp.media.view.MediaFrame.Select.extend({
		initialize: function() {
			wp.media.view.MediaFrame.prototype.initialize.apply( this, arguments );
			_.defaults( this.options, {
				multiple:  false,
				editing:   false,
				state:    'insert'
			});
			this.createSelection();
			this.createStates();
			this.bindHandlers();
			this.createIframeStates();
		},
		createStates: function(){
			var options = this.options;
			// Add the default states.
			this.states.add([
				// Main states.
				new wp.media.controller.Library({
					id:         'insert',
					title:      MAOptionL10.insert_media,
					priority:   20,
					toolbar:    'main-insert',
					filterable: 'image',
					library:    wp.media.query( options.library ),
					multiple:   false, //options.multiple ? 'reset' : false,
					editable:   false,
					// If the user isn't allowed to edit fields,
					// can they still edit it locally?
					allowLocalEdits: false,
					// Show the attachment display settings.
					displaySettings: false,
					// Update user settings when users adjust the
					// attachment display settings.
					displayUserSettings: false
				}),

				// Embed states.
				new wp.media.controller.Embed()
			]);
			this.states.add([
				new wp.media.controller.Custom({
					id:         'my-action',
					menu:       'default', // menu event = menu:render:default
					content:    'custom',
					title:      wp.media.view.l10n.customMenuTitle, // added via 'media_view_strings' filter
					priority:   200,
					toolbar:    'main-my-action', // toolbar event = toolbar:create:main-my-action
					type:       'link'
				})
			]);
	 
			this.on( 'content:render:custom', this.customContent, this );
			this.on( 'toolbar:create:main-my-action', this.createCustomToolbar, this );
			this.on( 'toolbar:render:main-my-action', this.renderCustomToolbar, this );
		},
		bindHandlers: function() {
			// from Select
			this.on( 'router:create:browse', this.createRouter, this );
			this.on( 'router:render:browse', this.browseRouter, this );
			this.on( 'content:create:browse', this.browseContent, this );
			this.on( 'content:render:upload', this.uploadContent, this );
			this.on( 'toolbar:create:select', this.createSelectToolbar, this );
			//
			this.on( 'menu:create:gallery', this.createMenu, this );
			this.on( 'toolbar:create:main-insert', this.createToolbar, this );
			this.on( 'toolbar:create:main-gallery', this.createToolbar, this );
			this.on( 'toolbar:create:featured-image', this.featuredImageToolbar, this );
			this.on( 'toolbar:create:main-embed', this.mainEmbedToolbar, this );
			
			var handlers = {
					menu: {
						'default': 'mainMenu'
					},
					content: {
						'embed':          'embedContent',
						'edit-selection': 'editSelectionContent'
					},
					toolbar: {
						'main-insert':      'mainInsertToolbar'
					}
				};

			_.each( handlers, function( regionHandlers, region ) {
				_.each( regionHandlers, function( callback, handler ) {
					this.on( region + ':render:' + handler, this[ callback ], this );
				}, this );
			}, this );
		},
		// Menus
		mainMenu: function( view ) {
			view.set({
				'library-separator': new wp.media.View({
					className: 'separator',
					priority: 100
				})
			});
		},
		// Content
		embedContent: function() {
			var view = new wp.media.view.MarkerFromURL({
				controller: this,
				model:      this.state()
			}).render();
			this.content.set( view );
			view.url.focus();
		},
		editSelectionContent: function() {
			var state = this.state(),
				selection = state.get('selection'),
				view;
			view = new wp.media.view.AttachmentsBrowser({
				controller: this,
				collection: selection,
				selection:  selection,
				model:      state,
				sortable:   true,
				search:     false,
				dragInfo:   true,
				AttachmentView: wp.media.view.Attachment.EditSelection
			}).render();
			view.toolbar.set( 'backToLibrary', {
				text:     MAOptionL10.return_to_library,
				priority: -100,
				click: function() {
					this.controller.content.mode('browse');
				}
			});
			// Browse our library of attachments.
			this.content.set( view );
		},
		// Toolbars
		selectionStatusToolbar: function( view ) {
			var editable = this.state().get('editable');
			view.set( 'selection', new wp.media.view.Selection({
				controller: this,
				collection: this.state().get('selection'),
				priority:   -40,

				// If the selection is editable, pass the callback to
				// switch the content mode.
				editable: editable && function() {
					this.controller.content.mode('edit-selection');
				}
			}).render() );
		},
		mainInsertToolbar: function( view ) {
			var controller = this;
			this.selectionStatusToolbar( view );
			view.set( 'insert', {
				style:    'primary',
				priority: 80,
				text:     MAOptionL10.select_image,
				requires: { selection: true },
				click: function() {
					var state = controller.state(),
					selection = state.get('selection');
					//add my code here
					attachment = selection.first().toJSON();
					var image_url = attachment.url;
					insert_upload_into.val(image_url); 
					insert_preview_into.children('img.upload_preview').attr('src', image_url); 
					insert_preview_into.slideDown('fast');
					controller.close();
					state.trigger( 'insert', selection ).reset();
				}
			});
		},
		featuredImageToolbar: function( toolbar ) {
			this.createSelectToolbar( toolbar, {
				text:  MAOptionL10.set_featured_image,
				state: this.options.state || 'upload'
			});
		},
		mainEmbedToolbar: function( toolbar ) {
			toolbar.view = new wp.media.view.Toolbar.MarkerFromURL({
				controller: this
			});
		},
		createCustomToolbar: function(toolbar){
			toolbar.view = new wp.media.view.Toolbar.Custom({
				controller: this
			});
		},
		customContent: function(){
			// this view has no router
			this.$el.addClass('hide-router');
			// custom content view
			var view = new wp.media.view.Custom({
				controller: this,
				model: this.state().props
			});
			this.content.set( view );
		}
	});
	var insert_upload_into;
	var insert_preview_into;
	jQuery(document).on('click', '.upload_button', function(event){
		insert_upload_into = jQuery(this).siblings('input[type="hidden"]');
		insert_preview_into = jQuery(this).siblings('div');
		wp.media().open();
	});
	
	// custom state : this controller contains your application logic
	wp.media.controller.Custom = wp.media.controller.State.extend({
		initialize: function(){
			// this model contains all the relevant data needed for the application
			this.props = new Backbone.Model({ marker_url: '' });
			this.props.on( 'change:marker_url', this.refresh, this );
		},
		// called each time the model changes
		refresh: function() {
			// update the toolbar
			this.frame.toolbar.get().refresh();
		},
		// called when the toolbar button is clicked
		customAction: function(){
			//console.log(this.props.get('marker_url'));
		}
	});
	 
	// custom toolbar : contains the buttons at the bottom
	wp.media.view.Toolbar.Custom = wp.media.view.Toolbar.extend({
		initialize: function() {
			_.defaults( this.options, {
				event: 'custom_event',
				close: true,
				items: {
					custom_event: {
						text: wp.media.view.l10n.customButton, // added via 'media_view_strings' filter,
						style: 'primary',
						priority: 80,
						requires: false,
						click: this.customAction
					}
				}
			});
			wp.media.view.Toolbar.prototype.initialize.apply( this, arguments );
		},
		// called each time the model changes
		refresh: function(){
			// you can modify the toolbar behaviour in response to user actions here
			// disable the button if there is no custom data
			var marker_url = this.controller.state().props.get('marker_url');
			this.get('custom_event').model.set( 'disabled', ! marker_url );
			// call the parent refresh
			wp.media.view.Toolbar.prototype.refresh.apply( this, arguments );
		},
		// triggered when the button is clicked
		customAction: function(){
			this.controller.state().customAction();
			var marker_url = this.controller.state().props.get('marker_url');
			insert_upload_into.val(marker_url); 
			insert_preview_into.children('img.upload_preview').attr('src', marker_url); 
			insert_preview_into.slideDown('fast');
			this.controller.close();
		}
	});
	 
	// custom content : this view contains the main panel UI
	wp.media.view.Custom = wp.media.View.extend({
		className: 'media-custom',
		// bind view events
		events: {
			'input':  'custom_update',
			'keyup':  'custom_update',
			'change': 'custom_update',
			'click' : 'custom_update'
		},
		initialize: function(){
			var instance = this;
			var data = {
				data : {
					action : 'add_media_marker_tab_content'
				},
				type : 'post',
				dataType : 'html',
				url : ajaxurl,
				success : function(response){
					instance.$el.append(response);
				},
				error : function(response){},
				complete : function(){}
			};
			jQuery.ajax(data);
			// re-render the view when the model changes
			this.model.on( 'change:marker_url', this.render, this );
		},
		render: function(){
			//this.input.value = this.model.get('marker_url');
			return this;
		},
		custom_update: function(event){
			if(jQuery(event.target).parents('.marker-thumbnail').hasClass('details selected')){
				jQuery(event.target).parents('.marker-thumbnail').removeClass('details selected');
				this.model.set( 'marker_url', '');
				return;
			}
			else {
				jQuery('.marker-thumbnail').removeClass('details selected');
				jQuery(event.target).parents('.marker-thumbnail').addClass('details selected');
				this.model.set( 'marker_url', jQuery(event.target).attr('data-src') );
			}
		}
	});
	wp.media.view.MarkerFromURL = wp.media.View.extend({
		  className: 'media-embed',
		  initialize: function(){
			  this.url = new wp.media.view.EmbedUrl({
				  controller: this.controller,
				 model:      this.model.props
			  }).render();
			  this.views.set([ this.url ]);
			  this.refresh();
			  this.model.on( 'change:type', this.refresh, this );
			  this.model.on( 'change:loading', this.loading, this );
		  },
		  settings: function(view){
			  if ( this._settings )
				  this._settings.remove();
			  this._settings = view;
			  this.views.add( view );
		  },
		  refresh: function(){
			  var type = this.model.get('type'),
				  constructor;
			  if ( 'image' === type )
				  constructor = wp.media.view.Settings.AttachmentDisplay.extend({
					  className: 'embed-image-settings',
					  template:  wp.media.template('embed-image-settings-override'),
					  initialize: function(){
						  wp.media.view.Settings.AttachmentDisplay.prototype.initialize.apply( this, arguments );
						  this.model.on( 'change:url', this.updateImage, this );
					  },
					  updateImage: function(){
						  this.$('img').attr( 'src', this.model.get('url') );
					  }
				  });
			  else if ('link' === type)
				  constructor = wp.media.view.EmbedLink;
			  else
				  return;
			  this.settings( new constructor({
				  controller: this.controller,
				  model:      this.model.props,
				  priority:   40
			  }));
		  },
		  loading: function(){
			  this.$el.toggleClass( 'embed-loading', this.model.get('loading') );
		  }
	  });
	wp.media.controller.MarkerFromURL = wp.media.controller.State.extend({
		initialize: function(){
			// this model contains all the relevant data needed for the application
			this.props = new Backbone.Model({ url: '' });
			this.props.on( 'change:url', this.refresh, this );
		},
		// called each time the model changes
		refresh: function(){
			// update the toolbar
			this.frame.toolbar.get().refresh();
		},
		// called when the toolbar button is clicked
		customAction: function(){
			//console.log(this.props.get('marker_url'));
		}
	});
	wp.media.view.Toolbar.MarkerFromURL = wp.media.view.Toolbar.extend({
		initialize: function() {
			_.defaults(this.options, {
				event: 'custom_event',
				close: true,
				items: {
					custom_event: {
						text: wp.media.view.l10n.markerURLButton, // added via 'media_view_strings' filter,
						style: 'primary',
						priority: 80,
						requires: false,
						click: this.customAction
					}
				}
			});
			wp.media.view.Toolbar.prototype.initialize.apply(this, arguments);
		},
		// called each time the model changes
		refresh: function(){
			// you can modify the toolbar behaviour in response to user actions here
			// disable the button if there is no custom data
			var marker_url = this.controller.state().props.get('url');
			this.get('custom_event').model.set('disabled', ! marker_url);
			
			// call the parent refresh
			wp.media.view.Toolbar.prototype.refresh.apply(this, arguments);
		},
		// triggered when the button is clicked
		customAction: function(){
			//this.controller.state().customAction();
			
			var marker_url = this.controller.state().props.get('url');
			insert_upload_into.val(marker_url); 
			insert_preview_into.children('img.upload_preview').attr('src', marker_url); 
			insert_preview_into.slideDown('fast');
			this.controller.close();
		}
	});
});