<?php
/*
Plugin Name: Responsive Google Maps (Share on 20script.ir)
Plugin URI: http://www.20script.ir
Description: A responsive Google map that allows multiple markers/maps per post/page. Includes fullscreen view, marker clustering, and custom map styles.
Author: Mark Advertising
Author URI: http://www.20script.ir
Version: 1.1.3

Contributors:
	Code: Nicholas J Fantozz
	Design: Kasey J Bonifacio
*/

// register the autoload function
spl_autoload_register('ResponsiveGoogleMaps_Autoloader');
function ResponsiveGoogleMaps_Autoloader($class_name)
{
	$class_array = array_intersect(array('ResponsiveGoogleMaps'), explode('_', $class_name));
	if(!empty($class_array))
	{
		$class_name = str_replace('ResponsiveGoogleMaps', '', $class_name);
		$class = 'classes/' . str_replace('_', '/', $class_name) . '.php';
		require_once($class);
	}
}

// Load configuration settings
if(class_exists('ResponsiveGoogleMaps_Plugin'))
{
	$settings = array(
		'map_slug' => 'google-map',
		'location_slug' => 'location',
		'map_type_slug' => 'custom-map-types',
		'plugin_url' => plugins_url(DIRECTORY_SEPARATOR . basename(dirname(__FILE__)) . DIRECTORY_SEPARATOR),
		'template_directory' => dirname(__FILE__) . DIRECTORY_SEPARATOR . 'templates' . DIRECTORY_SEPARATOR,
		'marker_directory' => dirname(__FILE__) . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'markers' . DIRECTORY_SEPARATOR,
		'marker_url' => plugins_url(DIRECTORY_SEPARATOR . basename(dirname(__FILE__)) . DIRECTORY_SEPARATOR) . 'images' . DIRECTORY_SEPARATOR . 'markers' . DIRECTORY_SEPARATOR,
		'index_file' => __FILE__
	);
	// Initialize plugin
	ResponsiveGoogleMaps_Plugin::init($settings);
}
?>