<?php
return array(
	'metabox_id' => 'map_settings',
	'metabox_title' => 'Map Settings',
	'post_type' => ResponsiveGoogleMaps_Plugin::$settings->get('map_slug'), //'google-map',
	'context' => 'advanced', //normal, advanced, side
	'priority' => 'default', //('high', 'core', 'default' or 'low')
	'before_metabox' => '<div class="custom-meta-box map_style_container" id="map_settings_metabaox">',
	'after_metabox' => '</div>',
	'before_field' => '<div class="custom-meta-box-field">',
	'after_field' => '</div>',
	'text_domain' => ResponsiveGoogleMaps_Plugin::LANG,
	'groups' => array(
		array(
			'start' => 1,
			'end' => 9,
			'label' => 'Map'
		),
		array(
			'start' => 10,
			'end' => 13,
			'label' => 'Map styles'
		),
		array(
			'start' => 14,
			'end' => 19,
			'label' => 'Controls'
		),
		array(
			'start' => 20,
			'end' => 27,
			'label' => 'Style'
		),
		array(
			'start' => 28,
			'end' => 39,
			'label' => 'Features'
		),
		array(
			'start' => 40,
			'end' => 42,
			'label' => 'Info'
		)	
	),
	'before_group' => '<div class="meta-tab-content">',
	'after_group' => '</div>',
	'defaults' => get_option('map_settings'),
	'meta_fields' => array(
		array(
			'id' => 'enable_overrides',
			'title' => 'Enable overrides for this map',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'enable_zoom_control',
			'title' => 'Enable map zoom controls',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_infowindow_zoom_control',
			'title' => 'Enable infowindow zoom controls',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'disable_doubleclick_zoom',
			'title' => 'Disable doubleclick zoom',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_scroll_wheel_zoom',
			'title' => 'Enable scrollwheel zoom',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'tilt',
			'title' => 'Default tilt angle',
			'type' => 'select',
			'default' => 0,
			'use_label' => true,
			'attributes' => array(
				'class' => 'google-map-select'
			),
			'fields' => array(
				array(
					'id' => '0',
					'label' => '0',
					'value' => '0',
					'default' => false
				),
				array(
					'id' => '45',
					'label' => '45',
					'value' => '45',
					'default' => true
				),
			)
		),
		array(
			'id' => 'autocenter',
			'title' => 'Auto fit map - Overrides map center options and default zoom level.',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_directions',
			'title' => 'Enable directions',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'directions_open_by_default',
			'title' => 'Directions form open by default',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'enable_infowindow_directions',
			'title' => 'Enable directions links in infowindows',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_map_type_control',
			'title' => 'Enable map style control',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_map_type_control_dropdown',
			'title' => 'Display map style control as a drop down menu',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'map_type',
			'title' => 'Default map style',
			'type' => 'select',
			'default' => '',
			'inline' => true,
			'use_label' => true,
			'attributes' => array(
				'class' => 'google-map-select'
			),
			'fields' => ResponsiveGoogleMaps_Plugin::get_instance()->get_map_type_options(),
		),
		array(
			'id' => 'enable_map_types',
			'title' => 'Map styles to show user - Must have map type controls (above) enabled. Map styles will be available here after they are created.',
			'type' => 'checkbox',
			'use_label' => true,
			'default' => true,
			'inline' => false,
			'fields' => ResponsiveGoogleMaps_Plugin::get_instance()->get_map_type_options(true),
			'attributes' => array(
				'multiple' => '',
				'class' => 'google-map-select'
			)
		),
		array(
			'id' => 'show_overview_map_control',
			'title' => 'Show overview map control',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'overview_map_control_opened',
			'title' => 'Overview map control opened',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		
		array(
			'id' => 'enable_scale_control',
			'title' => 'Enable scale control',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_rotate_control',
			'title' => 'Enable rotate control',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_pan_control',
			'title' => 'Enable pan control',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_street_view_control',
			'title' => 'Enable street view control',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_autofit_button',
			'title' => 'Enable auto fit map button',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_map_reset_button',
			'title' => 'Enable map reset button',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_map_options_dropdown',
			'title' => 'Display the above options as a drop down menu',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'enable_fullscreen_view',
			'title' => 'Enable full screen view',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'info_window_max_width',
			'title' => 'Infowindow max width - in pixels',
			'type' => 'text',
			'use_label' => true,
			'attributes' => array(
				'size' => 5
			)
		),
		array(
			'id' => 'map_bg_color',
			'use_label' => true,
			'title' => 'Map background color',
			'type' => 'color',
			'default' => '#ffffff',
		),
		array(
			'id' => 'enable_map_nav_color',
			'title' => 'Enable map navigation background',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'map_nav_color',
			'use_label' => true,
			'title' => 'Map navigation background color',
			'type' => 'color',
			'default' => '#000000',
		),
		array(
			'id' => 'show_user_location',
			'title' => "Show user's location (You are here.)",
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_marker_clustering',
			'title' => 'Enable marker clustering',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_weather_layer',
			'title' => 'Enable weather layer',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'weather_layer_temp',
			'title' => 'Display temperature as',
			'type' => 'select',
			'use_label' => true,
			'default' => 'Fahrenheit',
			'inline' => true,
			'attributes' => array(
				'class' => 'google-map-select'
			),
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Fahrenheit',
					'value' => 'Fahrenheit',
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'Celsius',
					'value' => 'Celsius',
					'default' => false,
				),
			)
		),
		array(
			'id' => 'weather_layer_wind_speed',
			'title' => 'Display wind speed as',
			'type' => 'select',
			'use_label' => true,
			'default' => 'Miles Per Hour',
			'inline' => true,
			'attributes' => array(
				'class' => 'google-map-select'
			),
			'fields' => array(
				array(
					'id' => '0',
					'label' => 'Miles Per Hour',
					'value' => 'Miles Per Hour',
					'default' => true
				),
				array(
					'id' => '1',
					'label' => 'Kilometers Per Hour',
					'value' => 'Kilometers Per Hour',
					'default' => false,
				),
				array(
					'id' => '2',
					'label' => 'Meters Per Second',
					'value' => 'Meters Per Second',
					'default' => false,
				),
			)
		),
		array(
			'id' => 'enable_cloud_layer',
			'title' => 'Enable cloud layer',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'enable_panoramio_layer',
			'title' => 'Enable Panoramio layer',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'panoramio_filter_id',
			'title' => 'Filter Panoramio images by user ID',
			'type' => 'text',
			'use_label' => true,
			'attributes' => array(
				'size' => 20
			)
		),
		array(
			'id' => 'panoramio_filter_tag',
			'title' => 'Filter Panoramio images by tag. Overrides user ID set above',
			'type' => 'text',
			'use_label' => true,
			'attributes' => array(
				'size' => 20
			)
		),
		array(
			'id' => 'enable_bicycle_layer',
			'title' => 'Enable bicycle layer',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'enable_traffic_layer',
			'title' => 'Enable traffic layer',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'enable_transit_layer',
			'title' => 'Enable transit layer',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			)
		),
		array(
			'id' => 'center_lat',
			'title' => 'Default center latitude',
			'type' => 'text',
			'use_label' => true,
			'default' => 40.00190007661672,
			'attributes' => array(
				'readonly' => ''
			)
		),
		array(
			'id' => 'center_lng',
			'title' => 'Default center longitude',
			'type' => 'text',
			'use_label' => true,
			'default' => -83.01966672081517,
			'attributes' => array(
				'readonly' => ''
			)
		),
		array(
			'id' => 'zoom_level',
			'title' => 'Default zoom',
			'type' => 'text',
			'use_label' => true,
			'default' => 16,
			'attributes' => array(
				'readonly' => ''
			)
		)
	)
);
?>