<?php
return array(
	'metabox_id' => 'custom_map_type',
	'metabox_title' => 'Map Style Options',
	'post_type' => ResponsiveGoogleMaps_Plugin::$settings->get('map_type_slug'),
	'context' => 'advanced', //normal, advanced, side
	'priority' => 'default', //('high', 'core', 'default' or 'low')
	'text_domain' => ResponsiveGoogleMaps_Plugin::LANG,
	'before_metabox' => '<div class="custom-meta-box map_style_container" id="map_settings_metabaox">',
	'after_metabox' => '</div>',
	'before_field' => '<div class="custom-meta-box-field">',
	'after_field' => '</div>',
	'groups' => array(
		array(
			'start' => 1,
			'end' => 5,
			'label' => 'Map'
		),
		array(
			'start' => 6,
			'end' => 15,
			'label' => 'Administrative'
		),
		array(
			'start' => 16,
			'end' => 25,
			'label' => 'Landscape'
		),
		array(
			'start' => 26,
			'end' => 35,
			'label' => 'POI'
		),
		array(
			'start' => 36,
			'end' => 45,
			'label' => 'Road'
		),
		array(
			'start' => 46,
			'end' => 55,
			'label' => 'Transit'
		),
		array(
			'start' => 56,
			'end' => 65,
			'label' => 'Water'
		),
		array(
			'start' => 66,
			'end' => 67,
			'label' => 'JSON'
		),
	),
	'before_group' => '<div class="meta-tab-content">',
	'after_group' => '</div>',
	'meta_fields' => array(
		array(
			'id' => 'enable_changes_to',
			'title' => 'Enable changes to...',
			'type' => 'checkbox',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => 'all',
					'label' => 'Map',
					'value' => 'all',
					'default' => true
				),
				array(
					'id' => 'administrative',
					'label' => 'Administrative',
					'value' => 'administrative',
					'default' => true
				),
				array(
					'id' => 'landscape',
					'label' => 'Landscape',
					'value' => 'landscape',
					'default' => true
				),
				array(
					'id' => 'poi',
					'label' => 'POI',
					'value' => 'poi',
					'default' => true
				),
				array(
					'id' => 'road',
					'label' => 'Road',
					'value' => 'road',
					'default' => true,
				),
				array(
					'id' => 'transit',
					'label' => 'Transit',
					'value' => 'transit',
					'default' => true,
				),
				array(
					'id' => 'water',
					'label' => 'Water',
					'value' => 'water',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// All ///////////////////////
		array(
			'id' => 'all|geometry|hue',
			'use_label' => true,
			'title' => 'Hue',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'all|geometry|saturation',
			'use_label' => true,
			'title' => 'Saturation',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'all|geometry|gamma',
			'use_label' => true,
			'title' => 'Gamma',
			'type' => 'range',
			'display_value' => true,
			'value' => 1,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => .01,
				'max' => 10,
				'step' => .01,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'all|geometry|lightness',
			'use_label' => true,
			'title' => 'Lightness',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'all|geometry|invert_lightness',
			'title' => 'Invert lightness',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 'true',
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => '',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// administrative ///////////////////////
		array(
			'id' => 'administrative|geometry|hue',
			'use_label' => true,
			'title' => 'Hue',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'administrative|geometry|saturation',
			'use_label' => true,
			'title' => 'Saturation',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'administrative|geometry|gamma',
			'use_label' => true,
			'title' => 'Gamma',
			'type' => 'range',
			'display_value' => true,
			'value' => 1,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => .01,
				'max' => 10,
				'step' => .01,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'administrative|geometry|lightness',
			'use_label' => true,
			'title' => 'Lightness',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'administrative|geometry|invert_lightness',
			'title' => 'Invert lightness',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 'true',
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => '',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'administrative|labels.text.fill|color',
			'use_label' => true,
			'title' => 'Label text fill color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'administrative|labels.text.fill|visibility',
			'title' => 'Label text fill visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'administrative|labels.text.stroke|color',
			'use_label' => true,
			'title' => 'Label text stroke color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'administrative|labels.text.stroke|weight',
			'title' => 'Label text stroke weight',
			'type' => 'select',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => '1',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '2',
					'label' => '2',
					'value' => '2',
					'default' => false,
				),
				array(
					'id' => '3',
					'label' => '3',
					'value' => '3',
					'default' => true,
				),
				array(
					'id' => '4',
					'label' => '4',
					'value' => '4',
					'default' => false,
				),
				array(
					'id' => '5',
					'label' => '5',
					'value' => '5',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'administrative|labels.text.stroke|visibility',
			'title' => 'Label text stroke visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true,
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// landscape ///////////////////////
		array(
			'id' => 'landscape|geometry|hue',
			'use_label' => true,
			'title' => 'Hue',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'landscape|geometry|saturation',
			'use_label' => true,
			'title' => 'Saturation',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'landscape|geometry|gamma',
			'use_label' => true,
			'title' => 'Gamma',
			'type' => 'range',
			'display_value' => true,
			'value' => 1,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => .01,
				'max' => 10,
				'step' => .01,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'landscape|geometry|lightness',
			'use_label' => true,
			'title' => 'Lightness',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'landscape|geometry|invert_lightness',
			'title' => 'Invert lightness',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 'true',
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => '',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'landscape|labels.text.fill|color',
			'use_label' => true,
			'title' => 'Label text fill color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'landscape|labels.text.fill|visibility',
			'title' => 'Label text fill visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'landscape|labels.text.stroke|color',
			'use_label' => true,
			'title' => 'Label text stroke color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'landscape|labels.text.stroke|weight',
			'title' => 'Label text stroke weight',
			'type' => 'select',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => '1',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '2',
					'label' => '2',
					'value' => '2',
					'default' => false,
				),
				array(
					'id' => '3',
					'label' => '3',
					'value' => '3',
					'default' => true,
				),
				array(
					'id' => '4',
					'label' => '4',
					'value' => '4',
					'default' => false,
				),
				array(
					'id' => '5',
					'label' => '5',
					'value' => '5',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'landscape|labels.text.stroke|visibility',
			'title' => 'Label text stroke visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true,
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// poi ///////////////////////
		array(
			'id' => 'poi|geometry|hue',
			'use_label' => true,
			'title' => 'Hue',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		
		array(
			'id' => 'poi|geometry|saturation',
			'use_label' => true,
			'title' => 'Saturation',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'poi|geometry|gamma',
			'use_label' => true,
			'title' => 'Gamma',
			'type' => 'range',
			'display_value' => true,
			'value' => 1,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => .01,
				'max' => 10,
				'step' => .01,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'poi|geometry|lightness',
			'use_label' => true,
			'title' => 'Lightness',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'poi|geometry|invert_lightness',
			'title' => 'Invert lightness',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 'true',
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => '',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'poi|labels.text.fill|color',
			'use_label' => true,
			'title' => 'Label text fill color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'poi|labels.text.fill|visibility',
			'title' => 'Label text fill visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'poi|labels.text.stroke|color',
			'use_label' => true,
			'title' => 'Label text stroke color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'poi|labels.text.stroke|weight',
			'title' => 'Label text stroke weight',
			'type' => 'select',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => '1',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '2',
					'label' => '2',
					'value' => '2',
					'default' => false,
				),
				array(
					'id' => '3',
					'label' => '3',
					'value' => '3',
					'default' => true,
				),
				array(
					'id' => '4',
					'label' => '4',
					'value' => '4',
					'default' => false,
				),
				array(
					'id' => '5',
					'label' => '5',
					'value' => '5',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'poi|labels.text.stroke|visibility',
			'title' => 'Label text stroke visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true,
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// road ///////////////////////
		array(
			'id' => 'road|geometry|hue',
			'use_label' => true,
			'title' => 'Hue',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		
		array(
			'id' => 'road|geometry|saturation',
			'use_label' => true,
			'title' => 'Saturation',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'road|geometry|gamma',
			'use_label' => true,
			'title' => 'Gamma',
			'type' => 'range',
			'display_value' => true,
			'value' => 1,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => .01,
				'max' => 10,
				'step' => .01,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'road|geometry|lightness',
			'use_label' => true,
			'title' => 'Lightness',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'road|geometry|invert_lightness',
			'title' => 'Invert lightness',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 'true',
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => '',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'road|labels.text.fill|color',
			'use_label' => true,
			'title' => 'Label text fill color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'road|labels.text.fill|visibility',
			'title' => 'Label text fill visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'road|labels.text.stroke|color',
			'use_label' => true,
			'title' => 'Label text stroke color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'road|labels.text.stroke|weight',
			'title' => 'Label text stroke weight',
			'type' => 'select',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => '1',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '2',
					'label' => '2',
					'value' => '2',
					'default' => false,
				),
				array(
					'id' => '3',
					'label' => '3',
					'value' => '3',
					'default' => true,
				),
				array(
					'id' => '4',
					'label' => '4',
					'value' => '4',
					'default' => false,
				),
				array(
					'id' => '5',
					'label' => '5',
					'value' => '5',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'road|labels.text.stroke|visibility',
			'title' => 'Label text stroke visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true,
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// transit ///////////////////////
		array(
			'id' => 'transit|geometry|hue',
			'use_label' => true,
			'title' => 'Hue',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		
		array(
			'id' => 'transit|geometry|saturation',
			'use_label' => true,
			'title' => 'Saturation',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'transit|geometry|gamma',
			'use_label' => true,
			'title' => 'Gamma',
			'type' => 'range',
			'display_value' => true,
			'value' => 1,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => .01,
				'max' => 10,
				'step' => .01,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'transit|geometry|lightness',
			'use_label' => true,
			'title' => 'Lightness',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'transit|geometry|invert_lightness',
			'title' => 'Invert lightness',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 'true',
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => '',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'transit|labels.text.fill|color',
			'use_label' => true,
			'title' => 'Label text fill color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'transit|labels.text.fill|visibility',
			'title' => 'Label text fill visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'transit|labels.text.stroke|color',
			'use_label' => true,
			'title' => 'Label text stroke color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'transit|labels.text.stroke|weight',
			'title' => 'Label text stroke weight',
			'type' => 'select',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => '1',
					'value' => 1,
					'default' => false
				),
				array(
					'id' => '2',
					'label' => '2',
					'value' => '2',
					'default' => false,
				),
				array(
					'id' => '3',
					'label' => '3',
					'value' => '3',
					'default' => true,
				),
				array(
					'id' => '4',
					'label' => '4',
					'value' => '4',
					'default' => false,
				),
				array(
					'id' => '5',
					'label' => '5',
					'value' => '5',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'transit|labels.text.stroke|visibility',
			'title' => 'Label text stroke visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true,
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// water ///////////////////////
		array(
			'id' => 'water|geometry|hue',
			'use_label' => true,
			'title' => 'Hue',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'water|geometry|saturation',
			'use_label' => true,
			'title' => 'Saturation',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'water|geometry|gamma',
			'use_label' => true,
			'title' => 'Gamma',
			'type' => 'range',
			'display_value' => true,
			'value' => 1,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => .01,
				'max' => 10,
				'step' => .01,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'water|geometry|lightness',
			'use_label' => true,
			'title' => 'Lightness',
			'type' => 'range',
			'display_value' => true,
			'value' => 0,
			'attributes' => array(
				'class' => 'custom-map-type-input',
				'min' => -100,
				'max' => 100,
				'step' => 1,
				'style' => 'width:250px;'
			)
		),
		array(
			'id' => 'water|geometry|invert_lightness',
			'title' => 'Invert lightness',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 'true',
					'default' => false
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => '',
					'default' => true,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'water|labels.text.fill|color',
			'use_label' => true,
			'title' => 'Label text fill color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'water|labels.text.fill|visibility',
			'title' => 'Label text fill visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'water|labels.text.stroke|color',
			'use_label' => true,
			'title' => 'Label text stroke color',
			'type' => 'color',
			'default' => 'none',
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'water|labels.text.stroke|weight',
			'title' => 'Label text stroke weight',
			'type' => 'select',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => '1',
					'value' => 1,
					'default' => true
				),
				array(
					'id' => '2',
					'label' => '2',
					'value' => '2',
					'default' => false,
				),
				array(
					'id' => '3',
					'label' => '3',
					'value' => '3',
					'default' => false,
				),
				array(
					'id' => '4',
					'label' => '4',
					'value' => '4',
					'default' => false,
				),
				array(
					'id' => '5',
					'label' => '5',
					'value' => '5',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		array(
			'id' => 'water|labels.text.stroke|visibility',
			'title' => 'Label text stroke visibility',
			'type' => 'radio',
			'use_label' => true,
			'default' => true,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'On',
					'value' => 'on',
					'default' => true,
				),
				array(
					'id' => '0',
					'label' => 'Off',
					'value' => 'off',
					'default' => false,
				),
			),
			'attributes' => array(
				'class' => 'custom-map-type-input'
			)
		),
		//////////////////// JSON ///////////////////////
		array(
			'id' => 'enable_custom_json',
			'title' => 'Enable custom JSON - You must update for changes to take effect. This will override all other styles.',
			'type' => 'radio',
			'use_label' => true,
			'default' => false,
			'inline' => true,
			'fields' => array(
				array(
					'id' => '1',
					'label' => 'Yes',
					'value' => 1,
					'default' => false,
				),
				array(
					'id' => '0',
					'label' => 'No',
					'value' => 0,
					'default' => true,
				),
			),
		),
		array(
			'id' => 'custom_json',
			'use_label' => true,
			'title' => 'Custom JSON string - <a href="https://developers.google.com/maps/documentation/javascript/reference#MapTypeStyle" target="_blank">Google Documentation</a> | <a href="https://developers.google.com/maps/documentation/javascript/examples/maptype-styled-simple" target="_blank">Example</a> | <a href="http://gmaps-samples-v3.googlecode.com/svn/trunk/styledmaps/wizard/index.html" target="_blank">Style Creator</a>',
			'type' => 'textarea',
			'default' => '',
			'use_basic' => true,
			'attributes' => array(
				'style' => 'width:100%;',
				'rows' => 25
			)
		)
	)
);
?>